from passerelle.utils.json_schema import validate


def test_validators_with_default_values():
    schema = {
        "type": "object",
        "properties": {
            "string": {
                "type": "string",
                "default": "default"
            },
            "integer": {
                "type": "integer",
                "default": 0
            }
        }
    }
    obj = {}
    validate(obj, schema)
    assert obj == {"string": "default", "integer": 0}


def test_legacy_validators_with_default_values():
    schema = {
        "$schema": "http://json-schema.org/draft-03/schema#",
        "type": "object",
        "properties": {
            "string": {
                "type": "string",
                "default": "text"
            },
            "integer": {
                "type": "integer",
                "default": 0
            }
        }
    }
    new_obj = {}
    validate(new_obj, schema)
    assert new_obj == {"string": "text", "integer": 0}
